/* --------Visitor Form Css start -------- */
.tx-sy-visitors {
    /* this line is only to center form   remove it after completation*/
    width: 80%;
    max-width: 1440px;
    margin: auto;
}

.tx-sy-visitors .has-error-bg {
    background: rgba(255, 0, 0, 0.3);
}

.tx-sy-visitors input[type='submit'], button {
    margin: 2rem 0px;
}


.tx-sy-visitors p+p {
    margin: 0px;
}
/* submit button */
.tx-sy-visitors .subbmitBtn{
    border: 0;
    display: block;
    padding: 12px 10px;
    background: rgb(137, 189, 35);
    color: #fff;
    text-transform: uppercase;
    font-size: 18px;
    cursor: pointer;
}

.tx-sy-visitors .subbmitBtn.typeRight{
  margin-left: auto;
}

.tx-sy-visitors .top-heading {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 40px;
}
.tx-sy-visitors .top-heading .information-btn{
    border: transparent;
    padding: 10px;
    background: #005781;
    color: #fff;
    text-transform: capitalize;
    font-size: 16px;
}

.tx-sy-visitors .top-heading .reg-title {
    font-family: "Dax W01 Medium";
    font-size: 36px;
    text-transform: uppercase;
    color: #005781;
    margin-bottom: 0px !important;
}

.tx-sy-visitors .form-container .form-wraper {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.tx-sy-visitors .form-container .form-wraper.no-flex{
    display: block;
}


.tx-sy-visitors .form-container .form-wraper .form-fieldwrap {
    width: 48%;
    display: flex;
    flex-direction: column;
}
.tx-sy-visitors .form-container .form-wraper .form-fieldwrap.has-full-width {
    width: 100%;
}

.tx-sy-visitors .form-container .form-wraper .form-fieldwrap .form-label {
    font-size: 14px;
    margin-bottom: 2px;
    text-transform: capitalize;
}

.tx-sy-visitors .form-container .form-wraper .form-fieldwrap .input-field {
    margin-bottom: 1rem;
}
.tx-sy-visitors .form-container .form-wraper .form-fieldwrap .input-field.less-mg {
    margin-bottom: 7px;
}

.tx-sy-visitors .form-container .form-wraper .form-fieldwrap .input-field .input {
    width: 100%;
    padding: 0.5rem;
    font-size: 20px;
    border: 1px solid #979fa7;
    line-height: inherit;
}


.tx-sy-visitors .form-container .form-wraper .form-fieldwrap .input-field .input.has-less-font {
    padding: 0.4rem;
    font-size: 16px;
}

.tx-sy-visitors .form-container .checkBox-container {
    margin: 40px 0;
}

.tx-sy-visitors .form-container .checkBox-container .title {
    text-transform: uppercase;
    color: #005781;
    font-family: "Dax W01 Medium";
    font-size: 22px;
    font-weight: bold;
    margin-bottom: 40px;
}


.tx-sy-visitors .form-container .checkBox-container .checkBox {
    display: flex;
    margin: 10px 0;
}

.tx-sy-visitors .form-container .checkBox-container .checkBox .label {
    margin-bottom: 0px;
 }

.tx-sy-visitors .form-container .checkBox-container .checkBox .label .has-link {
   color:#89bd23;
   cursor: pointer;
   text-transform: capitalize;
}

.tx-sy-visitors .form-container .checkBox-container .checkBox .check {
    width: 20px;
    height: 20px;
    margin-right: 10px;
    margin-top: 3px;
}

/* list view CSS start */

.tx-sy-visitors .visitors-list-container.hasTop-mg{
    margin-top: 80px;
}
.tx-sy-visitors .visitors-list-container .visiter-table .common-row-css .list{
    text-align: left;
    text-transform: capitalize;
    padding: 12px 10px;
    font-size: 14px;
    color: #005781;
}

.tx-sy-visitors .visitors-list-container .visiter-table .common-row-css .list .modalTypeBtn{
    border: 1px solid #005781;
    padding: 5px;
    cursor: pointer;
    background: #ffffff;
}
/* filter button */
.tx-sy-visitors .visitors-list-container .date-filter{
    display: flex;
    margin-bottom: 40px;
}
.tx-sy-visitors .visitors-list-container .filter-btn{
    margin: 0px !important;
    padding: 5px 10px !important;
    font-size: 18px !important;
    border-radius: 10px;
}
.tx-sy-visitors .visitors-list-container .date-filter .input{
    width: 200px;
    padding: 0.5rem;
    font-size: 20px;
    border: transparent;
    line-height: inherit;
    margin-right: 10px;
    box-shadow: 0 4px 8px 0 rgba(2, 2, 1, 0.2);
}

.tx-sy-visitors .visitors-list-container .visiter-table .common-row-css {
position: relative;
}
.tx-sy-visitors .visitors-list-container .visiter-table .common-row-css::after{
    content: " ";
    text-decoration: none;
    position: absolute;
    width: 100%;
    left: 0;
    right: 0;
    border-bottom: solid 1px #005781;
    z-index: 2;
}

.tx-sy-visitors .visitors-list-container .visiter-table .heading-row::after{
    border-bottom: solid 2px #005781;
}


/* .tx-sy-visitors .visitors-list-container .visiter-table .row .has-more-width {
    width: 240px;
} */


/*modal css start*/

/* title for modal */
.tx-sy-visitors .mediumTitle {
    font-size: 20px;
    font-weight: 700;
    font-family: "Dax W01 Medium";
    margin-bottom: 2rem;
    text-transform: uppercase;
    color: #005781;
}

.tx-sy-visitors .modal-section {
    display: none;
    justify-content: center;
    align-items: center;
    position: fixed;
    top:0; bottom:0; right:0; left:0;
    background: rgba(0,0,0,.5);
    backdrop-filter: blur(5px);
    z-index: 999;
}

.tx-sy-visitors .modal-section .modal-close {
    position: absolute;
    top: -40px;
    right: 0;
    padding: 4px 8px;
    cursor: pointer;
    font-size: 20px;
    color: #ffffff;
    background: rgb(0, 85, 128);
}

.tx-sy-visitors .modal-section .modal-container .modal-closeType2 {
    cursor: pointer;
    font-size: 20px;
    color:#89bd23;
    font-weight: bold !important;
}

.tx-sy-visitors .modal-section .modal-container{
    position: relative;
    min-width: 700px;
    max-width: 700px;
    margin: auto;
    padding: 20px;
    background: #ffffff;
    border: transparent;
    box-shadow: 5px 5px 1px 5px rgb(137, 189, 35, 0.5);
    box-shadow: 0 4px 8px 0 rgb(137, 189, 35, 0.2), 0 6px 20px 0 rgba(137, 189, 35, 0.19);
}
.tx-sy-visitors .modal-section .modal-container.has-less-width{
    min-width: 70px;
    max-width: 700px;
    margin: auto;
    padding: 30px;  
}

.tx-sy-visitors .modal-section .modal-container.has-more-width{
   max-width: 1020px;
}

.tx-sy-visitors .modal-section .modal-container .item-container .content{
color:#005781;
margin-bottom: 40px;
}

.tx-sy-visitors .modal-section .modal-container .item-container .item{
   display: flex;
   align-items: center;
   font-size: 18px;
   margin-bottom: 12px;
}

.tx-sy-visitors .modal-section .modal-container .item-container .item .label{ 
   width: 200px;
   color: #005781;
   font-size: 16px;
   margin-bottom: 0px;
 }

.tx-sy-visitors .modal-section .modal-container .item-container .item p{ 
    font-size: 16px;
    margin-bottom: 0px;
}
 



@media (max-width: 767px) {
    .tx-sy-visitors {    
        width: 90%;
    }
    .tx-sy-visitors .form-container .form-wraper .form-fieldwrap {
        width: 100%;
    }
    .tx-sy-visitors .modal-section .modal-container {
        min-width: unset;
        width: 90%;
        height: 90%;
        overflow-y: scroll;
    }

    .tx-sy-visitors .top-heading {
        flex-direction: column;
    }
    .tx-sy-visitors .top-heading .reg-title {
        margin-bottom: 20px!important;
    }
    .visitors-list-container {
        overflow-x: scroll;
    }
    .tx-sy-visitors .visitors-list-container .visiter-table .common-row-css .list .modalTypeBtn {
        text-wrap: nowrap;
    }
}